import http from './http.js'
const request=http.request

/**
 * 增加打印机
 * @returns
 */
export function tbPrintMachine(data, method = 'post') {
    return request({
        url: '/api/tbPrintMachine',
        method: method,
        data: {
            shopId: uni.getStorageSync('shopId'),
            ...data
        }
    })
}

/**
 * 打印机列表
 * @returns
 */
export function tbPrintMachineGet(params) {
    return request({
        url: '/api/tbPrintMachine',
        method: 'get',
        params: {
            shopId: uni.getStorageSync('shopId'),
            sort: '',
            ...params
        }
    })
}